> ## Documentation Index
> Fetch the complete documentation index at: https://auth0-docs-event-stream-action-templates.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# ソーシャル

> Auth0サービスをソーシャルアイデンティティプロバイダーに接続し、ユーザーがFacebook、Google、Apple、その他のサポートされているプロバイダーを通じてアプリケーションにログインできるようにします。

`GET /authorize`

## ソーシャル

Auth0サービスをソーシャルアイデンティティプロバイダーに接続し、ユーザーがFacebook、Google、Apple、その他のサポートされているプロバイダーを通じてアプリケーションにログインできるようにします。サポートされているプロバイダーの詳細については、[マーケットプレイス](https://marketplace.auth0.com/features/social-connections)を参照してください。

ソーシャルプロバイダーでユーザーを認証するには、`/authorize`エンドポイントに`GET`リクエストを送信します。`connection`パラメーターで指定されたソーシャルプロバイダーへ`302`リダイレクトが返されます。

<Note>
  ほとんどのソーシャルプロバイダーは、自社以外が所有するアプリケーションにユーザー名とパスワードを入力することを許可していないため、ソーシャル接続はブラウザベース（パッシブ）認証のみに対応しています。したがって、ユーザーはプロバイダーのサインインページにリダイレクトされます。
</Note>

### 注記

* `response_type=token`の場合、ユーザーがプロバイダーで認証した後、アプリケーションの`callback URL`にリダイレクトされ、アクセストークンとIDトークンがアドレスの`location.hash`で渡されます。これはシングルページアプリケーション（SPA）およびネイティブモバイルSDKで使用されます。

* サンプルauth0.jsスクリプトはライブラリバージョン8を使用しています。auth0.jsバージョン7を使用している場合は、この[リファレンスガイド](https://auth0.com/docs/libraries/auth0js)を参照してください。

### 詳細について

* [サポートされているソーシャルアイデンティティプロバイダー](https://marketplace.auth0.com/features/social-connections)
* [カスタムソーシャル接続](https://auth0.com/docs/authenticate/identity-providers/social-identity-providers/oauth2)
* [状態パラメーター](https://auth0.com/docs/secure/attack-protection/state-parameters)
* [Auth0.js /authorize メソッドリファレンス](https://auth0.com/docs/libraries/auth0js#webauth-authorize-)

## パラメーター

<ParamField query="response_type" type="string" required>
  トークンタイプを指定します（codeまたはtoken）

  許可される値: `code`, `token`
</ParamField>

<ParamField query="client_id" type="string" required>
  アプリケーションのclient\_id
</ParamField>

<ParamField query="connection" type="string">
  アプリケーションに構成されたソーシャルアイデンティティプロバイダーの名前
</ParamField>

<ParamField query="redirect_uri" type="string" required>
  認可後、Auth0がリダイレクトするURL
</ParamField>

<ParamField query="state" type="string">
  CSRF攻撃を防ぐための不透明な値
</ParamField>

## レスポンス

| ステータス | 説明                          |
| ----- | --------------------------- |
| 302   | ソーシャルアイデンティティプロバイダーへのリダイレクト |
